/***************************************************************************
 $RCSfile: accountview.h,v $
                             -------------------
    cvs         : $Id: accountview.h,v 1.6 2004/09/18 10:35:33 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/



#ifndef KBANKING_ACCOUNTVIEW_H
#define KBANKING_ACCOUNTVIEW_H


#include "accountview.ui.h"


class AccountView;


#include "accountlist.h"
#include "kbanking.h"


class AccountView: public AccountViewUi {
  Q_OBJECT
public:
  AccountView(KBanking *kb,
              QWidget* parent=0, const char* name=0, WFlags fl=0);
  ~AccountView();

  bool init();
  bool fini();

protected:
  //void resizeEvent(QResizeEvent *e);

private:
  KBanking *_app;
  AccountListView *_accList;

  protected slots:
    void slotUpdated();
    void slotDetails();
    void slotTransactions();
    void slotUpdate();

};










#endif /* KBANKING_ACCOUNTVIEW_H */



