/***************************************************************************
 $RCSfile: introview.h,v $
                             -------------------
    cvs         : $Id: introview.h,v 1.7 2005/06/13 12:57:21 cstim Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/



#ifndef KBANKING_INTROVIEW_H
#define KBANKING_INTROVIEW_H


class IntroView;

#include "kbanking.h"
#include "introviewtextbrowser.h"
#include "introview.ui.h"


class IntroView: public IntroViewUi {
  Q_OBJECT

public:
  IntroView(KBanking *kb,
            QWidget* parent=0, const char* name=0, WFlags fl=0);
  ~IntroView();

  bool init();
  bool fini();

protected slots:
  void slotSetup();
  void slotLinkClicked(const QString &link);
private:
  KBanking *_app;
};









#endif /* KBANKING_INTROVIEW_H */



