/***************************************************************************
 $RCSfile: payeeview.h,v $
                             -------------------
    cvs         : $Id: payeeview.h,v 1.2 2005/03/14 08:40:55 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/



#ifndef KBANKING_PAYEEVIEW_H
#define KBANKING_PAYEEVIEW_H


#include "payeeview.ui.h"


class PayeeView;


#include "payeelist.h"
#include "kbanking.h"


class PayeeView: public PayeeViewUi {
  Q_OBJECT
public:
  PayeeView(KBanking *kb,
            QWidget* parent=0, const char* name=0, WFlags fl=0);
  virtual ~PayeeView();

  bool init();
  bool fini();

protected:
  void update();

private:
  KBanking *_app;
  PayeeListView *_payeeList;

protected slots:
  void slotDetails();
  void slotTransactions();

  void slotNew();
  void slotEdit();
  void slotRemove();

  void slotCalc();
  void slotCalcAll();

  void slotUpdated();

};








#endif /* KBANKING_PAYEEVIEW_H */



